@extends('header')
@section('title', 'Add Project')

@section('content')
<style>
    .top-right-element {
    position: absolute;
    top: 0;
    right: 0;
    /* Additional styling if needed */
}

</style>
<div class="layout-px-spacing">
   

    <div class="middle-content container-xxl p-0">
       
        <section class="vh-100" style="background-color: #eee;">
            <div class="container h-100">
                <div class="row d-flex justify-content-center align-items-center h-100">
                    <div class="col-lg-12 col-xl-11">
                        <div class="card text-black" style="border-radius: 25px;">
                            <div class="card-body p-md-12">
                                <div class="row justify-content-center">
                                    <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">

                                        <p class="text-center h3 fw-bold mb-5 mx-1 mx-md-4 mt-4">Add MileStone
                                        </p>
{{-- {{ $projectData['id'] }} --}} @if (session('status'))
        <h6 class="alert alert-success">{{ session('status') }}</h6>
        @endif
                                        <form class="mx-1 mx-md-4" method="POST" action="{{ url('add_mileStone') }}">
                                            @csrf


                                            <div class="d-flex flex-row align-items-center mb-4">
                                                <i class="fas fa-user fa-lg me-3 fa-fw"></i>

                                                <div class="form-outline flex-fill mb-0">
                                                    <label class="form-label" for="form3Example1c"> MileStone
                                                        Name</label>
                                                    <input type="text" id="form3Example1c" class="form-control"
                                                        name="Name" placeholder="Name"  />
                                                        @error('Name')
                                                        <div class="alert alert-danger">{{ $message }}</div>
                                                    @enderror

                                                </div>
                                            </div>

                                            <div class="d-flex flex-row align-items-center mb-4">
                                                <i class="fas fa-envelope fa-lg me-3 fa-fw"></i>
                                                <div class="form-outline flex-fill mb-0">
                                                    <label for="inputState" class="form-label">Project Status</label>
                                                    <select id="inputState" class="form-select" name="status">
                                                        <option selected value="">Select Status</option>
                                                        <option value="Active">Active</option>
                                                        <option value="To-do">To-do</option>
                                                        <option value="complected">complected</option>


                                                    </select>
                                                    @error('status')
                                                        <div class="alert alert-danger">{{ $message }}</div>
                                                    @enderror
                                                </div>
                                            </div>

                                            <div class="d-flex flex-row align-items-center mb-4">
                                                <i class="fas fa-lock fa-lg me-3 fa-fw"></i>
                                                <div class="form-outline flex-fill mb-0">
                                                    <label class="form-label" for="form3Example4c">Estimed Time</label>

                                                    <input type="time" id="form3Example4c" class="form-control"
                                                        name="Time" placeholder="Estimed Time "  />

                                                </div>
                                                

                                            </div>
                                            @error('Time')
                                                <div class="alert alert-danger">{{ $message }}</div>
                                            @enderror
                                            <div class="d-flex flex-row align-items-center mb-4">
                                                <div class="form-outline flex-fill mb-0">
                                                    <i class="fas fa-lock fa-lg me-3 fa-fw"></i>

                                                    <label for="exampleFormControlTextarea1">Description</label>
                                                    <textarea class="form-control" name="description" id="exampleFormControlTextarea1"
                                                        rows="3"></textarea>

                                                </div>
                                               
                                            </div>
                                            @error('description')
                                            <div class="alert alert-danger">{{ $message }}</div>
                                        @enderror
                                            <input type="hidden" name="projectId" value="{{$projectData['id']}}">


                                            <div class="form-check d-flex justify-content-center mb-5">
                                              


                                            </div>

                                            <div class="d-flex justify-content-center mx-4 mb-3 mb-lg-4">
                                                <button type="submit" class="btn btn-primary btn-lg"
                                                    name="Register">Save</button>
                                            </div>

                                        </form>

                                    </div>
                                    <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1">
                                        @if(session('success'))
                                        <div class="alert alert-success">
                                            {{ session('success') }}
                                        </div>
                                    @endif
                                    
                                    @if(session('error'))
                                        <div class="alert alert-danger">
                                            {{ session('error') }}
                                        </div>
                                    @endif
                                    
                                        <p class="text-center h3 fw-bold mb-5 mx-1 mx-md-4 mt-4">List Of MileStone
                                        </p>

                                        <table class="table">
                                            <thead>
                                              <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Name</th>
                                                <th scope="col">Description</th>

                                                <th scope="col">Status</th>
                                                                                          
                                                <th scope="col">Estimed Time</th>
                                                <th scope="col">Action</th>

                                              </tr>
                                            </thead>
                                            <tbody>
                                                @php $sn = 1; @endphp
                                                @foreach ( $data as $milestone )
                                                    {{-- {{ $milestone }} --}}
                                               
                                              <tr>
                                                <th >{{ $sn++ }}</th>
                                                <td>{{ $milestone['name'] }}</td>
                                                <td>{{ $milestone['description'] }}</td>
                                                <td>{{ $milestone['status'] }}</td>
                                                <td>{{ $milestone['Estimed Times'] }}</td>
                                                <td>
                                                    <form method="POST" action="{{ route('deleteMilestone', ['id' => $milestone->id]) }}" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button type="submit" class="btn btn-link text-danger">
                                                            <i class="fa fa-trash"></i>
                                                        </button>
                                                    </form>
                                                </td>
                                               
                                              </tr>
                                              @endforeach
                                            </tbody>
                                           
                                          </table>

                                    </div>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <style>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

            </style>

        </section>


        <!-- END MAIN CONTAINER -->


        <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

        @endsection