@extends('header')
@section('title', 'Add Users')

@section('content')
   


        <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <!------ Include the above in your HEAD tag ---------->
        
        <div class="container register">
          @if(session('status'))
    <div class="alert alert-success">
        {{ session('status') }}
    </div>
@endif
          <form method="POST" action="{{ url('addUsersStore') }}">
            @csrf
                        <div class="row">
                            <div class="col-md-3 register-left">
                                <img src="https://image.ibb.co/n7oTvU/logo_white.png" alt=""/>
                                <h3>Welcome</h3>
                                <p>You are 30 seconds away from earning your own money!</p>
                               
                            </div>
                         
                            <div class="col-md-9 register-right">
                               
                                <div class="tab-content" id="myTabContent">
                                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                                        <h3 class="register-heading">Add a Employee</h3>
                                        <div class="row register-form">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <input type="text" class="form-control" placeholder=" Name *" name="name" />
                                                </div>
                                                @error('name')
                                                <div class="alert alert-danger">{{ $message }}</div>
                                            @enderror
                                              
                                                <div class="form-group">
                                                    <input type="password" class="form-control" placeholder="Password *" name="password" />
                                                    @error('password')
                                                    <div class="alert alert-danger">{{ $message }}</div>
                                                @enderror
                                                </div>
                                                <div class="form-group">
                                                  <select class="form-control" name="type" >
                                                    <option class="hidden"  selected value="">User Type</option>
                                                    <option value="0">User</option>
                                                    <option value="1">Admin</option>
                                                    <option value="2">Manager</option>

                                                </select>
                                                @error('type')
                                                <div class="alert alert-danger">{{ $message }}</div>
                                            @enderror
                                              </div>
                                               
                                               
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <input type="email" class="form-control" placeholder=" Email *" name="email" />
                                                </div>
                                                @error('email')
                                                <div class="alert alert-danger">{{ $message }}</div>
                                            @enderror
                                                
                                                <div class="form-group">
                                                  <select id="inputState" class="form-control" name="role_id" >
                                                    <option  class="form-control" selected value="">Assign Roles</option>
                                                    @foreach ($processedData as $userName => $userData)
                                                        <option value="{{ $userName }}">{{ $userName }}</option>
                                                    @endforeach
                                                </select>
                                                @error('role_id')
                                                <div class="alert alert-danger">{{ $message }}</div>
                                            @enderror
                                                </div>
                                                <div class="form-group">
                                                  <select class="form-control" name="userstatus">
                                                    <option class="hidden"  selected value="">User Status</option>
                                                    <option value="0">Admin</option>
                                                    {{-- <option value="1">project</option> --}}
                                                    <option value="1">User</option>
                                                </select>
                                                @error('userstatus')
                                                <div class="alert alert-danger">{{ $message }}</div>
                                            @enderror
                                              </div>
                                               
                                                <input type="submit" class="btnRegister"  value="Register"/>
                                            </div>
                                        </div>
                                    </div>
                                   
                                </div>
                            </div>
                         
                        </div>
          </form>
                    </div>
         
        </section>
    @endsection