@extends('header')
@section('title', 'Manage Project')

@section('content')
    <div class="layout-px-spacing">
        {{-- @foreach ($users as $user)
        {{ $user }}
        @endforeach --}}

        <div class="middle-content container-xxl p-0">

            <div class="row layout-top-spacing">


                <div class="widget-header">
                    <div class="row">
                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                            <h4>Manage Projects</h4>
                        </div>
                    </div>
                </div>




                <div id="flLoginForm" class="col-lg-12 layout-spacing">
                    <div class="statbox widget box box-shadow">
                        <div class="widget-header">
                            <div class="row">
                                <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                    <h4>Filters</h4>
                                </div>
                            </div>
                        </div>
                        <div class="widget-content widget-content-area">
                            <form class="row g-3">
                                <div class="col-md-4">
                                    <label for="inputEmail4" class="form-label">Date Range</label>
                                    <input type="date" class="form-control" id="inputEmail4">
                                </div>
                                <div class="col-md-4">
                                    <label for="inputState" class="form-label">Project Status</label>
                                    <select id="inputState" class="form-select">
                                        <option selected="">Working</option>
                                        <option>...</option>
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <label for="inputState" class="form-label">Project Type</label>
                                    <select id="inputState" class="form-select">
                                        <option selected="">All Type</option>
                                        <option>...</option>
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <label for="inputState" class="form-label">CSM</label>
                                    <select id="inputState" class="form-select">
                                        <option selected="">CSM</option>
                                        <option>...</option>
                                    </select>
                                </div>
                                <div class="col-md-4">
                                    <label for="inputState" class="form-label">Project Manager</label>
                                    <select id="inputState" class="form-select">
                                        <option selected="">Project Manager</option>
                                        <option>...</option>
                                    </select>
                                </div>
                                <div class="col-md-2">
                                    <label for="inputZip" class="form-label">Invoice Number</label>
                                    <input type="text" class="form-control" id="inputZip" placeholder="Invoice Number">
                                </div>
                                <div class="col-md-2">
                                    <label for="inputZip" class="form-label">Transaction ID</label>
                                    <input type="text" class="form-control" id="inputZip" placeholder="Transaction ID">
                                </div>
                                <div class="col-md-4">
                                    <label for="inputZip" class="form-label">Search</label>
                                    <input type="text" class="form-control" id="inputZip"
                                        placeholder="Project Name/Email/Client Name/Company Name">
                                </div>
                                <div class="col-md-4">
                                    <label for="inputZip" class="form-label">Tags</label>
                                    <input type="text" class="form-control" id="inputZip">
                                </div>
                                <div class="col">
                                    <button type="submit"
                                        class="btn btn-info btn-lg _effect--ripple waves-effect waves-light common_btn1 ">Submit
                                    </button>
                                    <button type="Cancle"
                                        class="btn btn-secondary btn-lg _effect--ripple waves-effect waves-light common_btn1 btn_one">Cancel
                                    </button>
                                </div>

                            </form>


                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-4">
                        <a href="{{ route('add_projects') }}">
                            <button type="submit"
                                class="btn btn-success _effect--ripple waves-effect waves-light common_btn2"> <i
                                    class="fa fa-plus p-1"></i>Add Project
                            </button>
                        </a>
                    </div>
                </div>



                <!-- table content -->
                <div class="row layout-spacing">
                    <div class="col-lg-12">
                        <div class="statbox widget box box-shadow">
                            <div class="widget-content widget-content-area">
                                <div id="style-2_wrapper"
                                    class="dataTables_wrapper container-fluid dt-bootstrap4 no-footer">
                                    @if(session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

<!-- Display Error Message -->
@if(session('error'))
    <div class="alert alert-danger">
        {{ session('error') }}
    </div>
@endif

                                    <div class="table-responsive">
                                        <table id="style-2" class="table style-2 dt-table-hover dataTable no-footer"
                                            role="grid" aria-describedby="style-2_info" style="width: 1035px;">
                                            <thead>
                                                <tr role="row">

                                                    <th class="sorting" tabindex="0" aria-controls="style-2"
                                                        rowspan="1" colspan="1"
                                                        aria-label="First Name: activate to sort column ascending"
                                                        style="width: 80px;">#</th>
                                                    <th class="sorting" tabindex="0" aria-controls="style-2"
                                                        rowspan="1" colspan="1"
                                                        aria-label="Last Name: activate to sort column ascending"
                                                        style="width: 78px;">Project Name</th>
                                                    <th class="sorting" tabindex="0" aria-controls="style-2"
                                                        rowspan="1" colspan="1"
                                                        aria-label="Email: activate to sort column ascending"
                                                        style="width: 139px;">Client Name</th>
                                                    <th class="sorting" tabindex="0" aria-controls="style-2"
                                                        rowspan="1" colspan="1"
                                                        aria-label="Mobile No.: activate to sort column ascending"
                                                        style="width: 99px;">PM</th>
                                                    <th class="text-center sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Image: activate to sort column ascending"
                                                        style="width: 45px;">CSM</th>
                                                    <th class="text-center sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Status: activate to sort column ascending"
                                                        style="width: 77px;">Type</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Tags</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Total Cost</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Raised</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Recieved</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Pending</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Status</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Start Date</th>
                                                    <th class="text-center dt-no-sorting sorting" tabindex="0"
                                                        aria-controls="style-2" rowspan="1" colspan="1"
                                                        aria-label="Action: activate to sort column ascending"
                                                        style="width: 48px;">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>



                                                @php
                                                    $count = 1;
                                                @endphp
                                                @foreach ($users as $user)
                                                    <tr role="row" class="odd">
                                                        <td>{{ $count++ }}</td>
                                                        <td class="text-center">{{ $user['projectname'] }}</td>
                                                        <td class="text-center">{{ $user['cilentname'] }}</td>
                                                        <td class="text-center">
                                                          
                                                               
                                                                    <span class="shadow-none badge badge-info">{{ $user['project_manager_name'] }}</span>
                                                                
                                                            {{-- @endforeach --}}
                                                        </td>
                                                        <td class="text-center">
                                                            <span
                                                                class="shadow-none badge badge-primary">{{ $user['csm'] }}</span>
                                                        </td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-secondary">{{ $user['projecttype'] }}</span>
                                                        </td>
                                                        <td class="text-center">{{ $user['tags'] }}

                                                        </td>
                                                        <td class="text-center">
                                                            {{ $user['projectbudget'] }}
                                                        </td>

                                                        <td class="text-center">

                                                            {{ $user['total_invoice'] }}

                                                        </td>

                                                        <td class="text-center">
                                                            {{ empty($user['receviced_Amount']) ? 0 : $user['receviced_Amount'] }}
                                                        </td>
                                                        <td class="text-center">

                                                            {{ $user['remaining_Amount'] }}


                                                        </td>
                                                        <td class="text-center"><span
                                                                class="shadow-none badge badge-warning">{{ $user['status'] }}</span>
                                                        </td>
                                                        <td class="text-center">
                                                            {{ $user['projectstartdate'] }}
                                                        </td>
                                                        <td class="text-center">
                                                            <a href="{{ route('project.edit', ['id' => $user['id']]) }}"> <i class="fa fa-edit text-primary"></i></a>
                                                            <a
                                                                href="{{ route('project.detail', ['id' => $user['id']]) }}"><i
                                                                    class="fa fa-eye text-primary p-1"></i></a>
                                                                    <form method="POST" action="{{ route('deleteProject', ['id' => $user->id]) }}" class="d-inline">
                                                                        @csrf
                                                                        @method('DELETE')
                                                                        <button type="submit" class="btn btn-link text-danger p-1">
                                                                            <i class="fa fa-trash"></i>
                                                                        </button>
                                                                    </form>
                                                                    
                                                        </td>

                                                    </tr>
                                                @endforeach


                                            </tbody>
                                        </table>
                                    </div>
                              
                                {!! $users->withQueryString()->links('pagination::bootstrap-5') !!}
                                   
                                </div>
                            </div>
                        </div>
                    </div>
                </div>




            </div>
            <!--  END CONTENT AREA  -->

        </div>
    </div>
@endsection
