
<?php $__env->startSection('title', 'Manage Project'); ?>
<?php $__env->startSection('content'); ?>

<!-- page title area end -->

<div class="main-content-inner">
    <div class="row">
        <!-- data table start -->
        <div class="col-12 mt-5">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title float-left">Roles List</h4>
                    <p class="float-right mb-2">
                        
                        <a class="btn btn-primary text-white" href="<?php echo e(route('addUsers')); ?>">Add Users
                            </a>
                        

                        
                    </p>
                    <?php if(session('status')): ?>
    <div class="alert alert-success">
        <?php echo e(session('status')); ?>

    </div>
<?php endif; ?>

                    <div class="clearfix"></div>
                    <div class="data-tables">
                        
                        <table id="dataTable" class="text-center">
                            <thead class="bg-light text-capitalize">
                                <tr>
                                    <th width="10%">S.N</th>
                                    <th width="30%">Name</th>
                                    <th width="30%">Email</th>
                                    <th width="30%">Permissions</th>
                                    <th width="30%">Action</th>
                                </tr>
                            </thead>

                            <tbody>



                                <?php
                                $count = 1;
                                ?>
                                <?php $__currentLoopData = $allUsers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr role="row" class="odd">
                                    
                                    <td style="padding: 10px;"><?php echo e($count++); ?></td>
                                    <td class="text-center" style="padding: 10px;"><?php echo e($user['name']); ?></td>
                                  <td>  <span class="badge badge-info mr-12"><?php echo e($user['email']); ?></span></td>
                                    <td class="text-center"><span class="badge bg-success">


                                        <?php echo e($user['role_id']); ?>


</span>
                                    </td>







                                    <td class="text-center">
                                      
                                        <a href="<?php echo e(route('users.edit', ['userId' => $user->id])); ?>" class="btn btn-edit">
                                            <span class="mdi mdi-pencil"></span>
                                            <i class="fa fa-edit text-primary p-1"></i>
                                        </a>

                                        <a href="#" onclick="event.preventDefault(); document.getElementById('delete-form-<?php echo e($user->id); ?>').submit();">
                                            <i class="fa fa-trash text-primary p-1"></i>
                                        </a>
                                        <form id="delete-form-<?php echo e($user->id); ?>" action="<?php echo e(route('deleteUser', ['id' => $user->id])); ?>" method="POST" style="display: none;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                        </form>
                                        
                                        </td>

                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <?php echo $allUsers->withQueryString()->links('pagination::bootstrap-5'); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel code\AdminTechGropse\resources\views/mannage_user.blade.php ENDPATH**/ ?>