
<?php $__env->startSection('title', 'Add Project'); ?>

<?php $__env->startSection('content'); ?>
<div class="layout-px-spacing">
    <?php if(session('status')): ?>
    <h6 class="alert <?php echo e(session('status') === 'Project Added Successfully' ? 'alert-success' : 'alert-danger'); ?>">
        <?php echo e(session('status')); ?>

    </h6>
    <?php endif; ?>
   



    <div class="middle-content container-xxl p-0">


        <div class="row layout-top-spacing">

            <div class="">
                <div class="row">
                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                        <h4>Add Project</h4>
                    </div>
                </div>
            </div>





            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Project Detail</h4>
                            </div>
                        </div>
                    </div>
                    <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>
                    <div class="widget-content widget-content-area">

                        <form method="POST" action="<?php echo e(route('insertProject')); ?>">
                             <?php echo csrf_field(); ?>
                            <div class="row g-3">
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Company</label>
                                    <select id="inputState" class="form-select" name="projectcompany">
                                        <option value="">Select Project Company</option>
                                        <option value="TechGropse Pvt Ltd." <?php if(old('projectcompany') == 'TechGropse Pvt Ltd.'): ?> selected <?php endif; ?>>
                                            TechGropse Pvt Ltd.
                                        </option>
                                    </select>
                                    <?php $__errorArgs = ['projectcompany'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                
                                
                                

                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Name</label>
                                    <input type="text" name="projectname" class="form-control" placeholder="ProjectName"
                                           value="<?php echo e(old('projectname')); ?>">
                                    <?php $__errorArgs = ['projectname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                
                                <div class="col-md-6">
                                    <label for="inputZip" class="form-label">Project Budget</label>
                                    <input type="number" class="form-control" id="inputZip" name="projectbudget"
                                        placeholder="Project Budget">
                                    <?php $__errorArgs = ['projectbudget'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Type</label>
                                    <select id="inputState" class="form-select" name="projecttype">
                                        <option selected value="">Select Project Type</option>
                                        <option value="Web">Web</option>
                                        <option value="Web&Andriod">Web And Andriod</option>
                                        <option value="Web&Ios">Web And Ios</option>
                                        <option value="Andriod">Andriod</option>
                                        <option value="Andriod&Web">Andriod And Web</option>
                                        <option value="Andriod&Ios">Andriod And Ios</option>
                                        <option value="Ios">Ios</option>
                                        <option value="Ios&Web">Ios And Web</option>
                                        <option value="Ios&Andriod">Ios Andriod</option>



                                    </select>
                                    <?php $__errorArgs = ['projecttype'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Manager</label>


                                    <select id="inputState" class="form-select" name="projectmanager">


                                        <option selected value="">Select Manager</option>
                                        <?php $__currentLoopData = $projectmanager; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($user['id']); ?>"><?php echo e($user['name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </select>
                                    <?php $__errorArgs = ['projectmanager'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">CSM</label>
                                    <select id="inputState" class="form-select" name="csm">
                                        <option selected value="">Select CSM</option>
                                        <option value="Aman Mishra">Aman Mishra</option>
                                        <option value="Anup Kumar">Anup Kumar</option>
                                        <option value="Sumit Dhiman">Sumit Dhiman</option>
                                    </select>
                                    <?php $__errorArgs = ['csm'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group mb-4 mt-3 col-md-6">
                                    
                                    <label for="exampleFormControlTextarea1">Project Comments</label>
                                    <textarea class="form-control" name="comments" id="exampleFormControlTextarea1"
                                        rows="3" placeholder="n/a"></textarea>
                                    
                                    <?php $__errorArgs = ['comments'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-6">
                                    <label for="inputZip" class="form-label">Tags</label>
                                    <input type="text" class="form-control" id="inputZip" name="tags"
                                        placeholder="Tags">
                                    <?php $__errorArgs = ['tags'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Milestone</label>
                                    <textarea class="form-control" name="milestone" id="exampleFormControlTextarea1"
                                        rows="3" placeholder="Milestone"></textarea>
                                    <?php $__errorArgs = ['milestone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Address</label>
                                    <textarea class="form-control" name="address" id="exampleFormControlTextarea1"
                                        rows="3" placeholder="n/a"></textarea>
                                    <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="form-group mb-4 col-md-12">
                                   
                                </div>




                            </div>


                    </div>
                </div>
            </div>





        </div>
        <div class="row layout-top-spacing">







            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Client Detail</h4>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-area">
                        <div class="row g-3">
                          
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Name</label>
                                <input type="text" class="form-control" name="cilentname" id="inputZip"
                                    placeholder="Client Name">
                                <?php $__errorArgs = ['cilentname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Email</label>
                                <input type="email" class="form-control" name="cilentemail" id="inputZip"
                                    placeholder="Client Email">
                                <?php $__errorArgs = ['cilentemail'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Company Name</label>
                                <input type="text" class="form-control" name="companyname" id="inputZip"
                                    placeholder="Company Name">
                                <?php $__errorArgs = ['companyname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Phone</label>
                                <input type="number" class="form-control" name="cilentphone" id="inputZip"
                                    placeholder="Client Phone">
                                <?php $__errorArgs = ['cilentphone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Start Date</label>
                                <input type="date" class="form-control" name="projectstartdate" id="inputZip"
                                    placeholder="Tags">
                                <?php $__errorArgs = ['projectstartdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputState" class="form-label">Project Status</label>
                                <select id="inputState" class="form-select" name="status">
                                    <option selected value="">Select Status</option>
                                    <option value="Active">Active</option>
                                    <option value="To-do">To-do</option>
                                    <option value="complected">complected</option>


                                </select>
                                <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="col">
                                <button type="submit"
                                    class="btn btn-info btn-lg _effect--ripple waves-effect waves-light common_btn1">Submit
                                </button>
                                <button type="Cancle"
                                    class="btn btn-secondary btn-lg _effect--ripple waves-effect waves-light common_btn1 btn_one">Cancel
                                </button>
                            </div>
                        </div>
                        








                        </form>


                    </div>
                </div>





            </div>
            <!--  END CONTENT AREA  -->

        </div>
        <!-- END MAIN CONTAINER -->


        <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

        <?php $__env->stopSection(); ?>
<?php echo $__env->make('header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel code\AdminTechGropse\resources\views/add-project.blade.php ENDPATH**/ ?>