
<?php $__env->startSection('title', 'All Roles'); ?>
<?php $__env->startSection('content'); ?>

<!-- page title area end -->

<div class="main-content-inner">
    <div class="row">
        <!-- data table start -->
        <div class="col-12 mt-5">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title float-left">Roles List</h4>
                    <p class="float-right mb-2">
                        
                        <a class="btn btn-primary text-white" href="<?php echo e(route('allRolesDetails')); ?>">Create New Role</a>
                     
                        
                    </p>
                    <div class="clearfix"></div>
                    <div class="data-tables">
                        
                        <table id="dataTable" class="text-center">
                            <thead class="bg-light text-capitalize">
                                <tr>
                                    <th width="5%">S.N</th>
                                    <th width="10%">Name</th>
                                    <th width="60%">description</th>

                                    <th width="15%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $sn = 1; ?>
                                <?php $__currentLoopData = $processedData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userName => $userData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                
                                    <tr>
                                        <td><?php echo e($sn++); ?></td>
                                        <td><?php echo e($userName); ?></td>
                                        
                                        <td>
                                           
                                                <?php $__currentLoopData = $userData['description']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $description): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <span class="badge badge-info mr-12"><?php echo e($description); ?></span>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                           
                                        </td>
                                       
                                        <td class="text-center">
                                       
                                        <form action="<?php echo e(route('roles.delete', ['userName' => $userName])); ?>" method="POST">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button class="btn btn-delete">
                                                <span class="mdi mdi-delete mdi-24px"></span>
                                                <span class="mdi mdi-delete-empty mdi-24px"></span>
                                                <span>Delete</span>
                                              </button>
                                        </form>
                                        <br>
                                        <a href="<?php echo e(route('roles.edit', ['userName' => $userName])); ?>">
                                            <?php echo csrf_field(); ?>
                                            <button type="submit" class="btn btn-edit">
                                                <span class="mdi mdi-edit mdi-24px"></span>
                                                <span class="mdi mdi-edit-empty mdi-24px"></span>
                                                <span>Edit</span>
                                            </button>
                                        </a>
                                        
                                        
                                        
                                        </td>
                                           
                                         
                                              
                                            </form>
                                        
                                        
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- data table end -->
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel code\AdminTechGropse\resources\views/allRolesView.blade.php ENDPATH**/ ?>