
<?php $__env->startSection('title', 'All Roles'); ?>
<?php $__env->startSection('content'); ?>
<div class="layout-px-spacing">

    <div class="middle-content container-xxl p-0">
        <?php if(session('status')): ?>
        <div class="alert alert-success">
            <?php echo e(session('status')); ?>

        </div>
        <?php endif; ?>

        <div class="row layout-top-spacing">
            <div class="row">
                <div class="col">
                    <div class="widget-heading mb-3">
                        <h5 class="">Insert Employee</h5>
                    </div>
                </div>
            </div>

            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12 layout-spacing">
                <div class="widget widget-table-one">
                    <div class="widget-heading">
                        <form method="POST" action="<?php echo e(route('add-workesEmployeeStore')); ?>">
                            <?php echo csrf_field(); ?>
                            <h5 style="text-align: center;">Employee Details</h5>

                            <div class="form-group">
                                <select name="userId" class="form-control">
                                    <!-- Adjust the name attribute as needed -->
                                    <option value="" selected>Select User</option>
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($user->id); ?>"><?php echo e($user->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['userId'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="row">
                                <div class="col-sm-5">
                                    <label for="">StartDate</label>
                                    <input type="date" class="form-control" name="startdate" placeholder="StartDate">
                                    <?php $__errorArgs = ['startdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-sm-5">
                                    <label for="">EndDate</label>
                                    <input type="date" class="form-control" name="enddate" placeholder="EndDate">
                                    <?php $__errorArgs = ['enddate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>


                            </div>
                            <div class="form-group">
                                <label for="">Role</label>
                                <input type="text" class="form-control" name="role" placeholder="Role">
                                <?php $__errorArgs = ['role'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="form-group">
                                <label for="">Description</label>
                                <input type="text" class="form-control" name="Description" placeholder="Description">
                                <?php $__errorArgs = ['Description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <input type="hidden" name="projectId" value=" <?php echo e($projectData['id']); ?>">
                            <div class="text-center">
                                <button type="submit" class="btn btn-success" name="submit">Save</button>
                            </div>
                        </form>






                    </div>




                    <div class="widget-content">
                        <div class="transactions-list">
                            <div class="t-item">
                                <div class="t-company-name">



                                </div>

                            </div>
                        </div>


                    </div>
                </div>
            </div>
            <div class="col-xl-8 col-md-12 col-sm-12 col-12 layout-spacing">
                <div class="widget widget-table-two p-4">

                    <div class="row d-flex text-end">
                        




                    </div>
                    <?php if(Session::has('success')): ?>
    <div class="alert alert-success">
        <?php echo e(Session::get('success')); ?>

    </div>
<?php endif; ?>

<?php if(Session::has('error')): ?>
    <div class="alert alert-danger">
        <?php echo e(Session::get('error')); ?>

    </div>
<?php endif; ?>

                    <div class="widget-content">
                        <div class="table-responsive">
                            <table class="table Common_table text-center">
                                <thead>
                                    <tr>
                                        <th>
                                            <div class="th-content">#</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Name</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Start Date</div>
                                        </th>
                                        <th>
                                            <div class="th-content th-heading">End Date</div>
                                        </th>

                                        <th>
                                            <div class="th-content">Role</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Description</div>
                                        </th>
                                        <th>
                                            <div class="th-content">Actions</div>
                                        </th>


                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $sn = 1; ?>
                                    <?php $__currentLoopData = $addworkesEmployees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($employee->id); ?></td>
                                        <td><?php echo e($employee->name); ?></td>
                                        <td><?php echo e($employee->startdate); ?></td>
                                        <td><?php echo e($employee->enddate); ?></td>
                                        <td><?php echo e($employee->role); ?></td>
                                        <td><?php echo e($employee->Description); ?></td>
                                        <td>
                                            <form method="POST" action="<?php echo e(route('deleteEmployee', ['id' => $employee->id])); ?>">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button type="submit" class="btn btn-danger">
                                                    <i class="fa fa-trash text-primary p-1"></i>
                                                </button>
                                            </form>
                                        </td>
                                        

                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>

                            </table>
                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel code\AdminTechGropse\resources\views/addWorkEmployee.blade.php ENDPATH**/ ?>