<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AddProjects extends Model
{
    use HasFactory;
    protected $fillable = [
        'userId', 'projectcompany', 'projectname', 'projectbudget', 'projecttype', 
        'projectmanager_id', 'csm', 'tags', 'milestone', 'address', 'comments',
        'cilentname', 'cilentemail', 'companyname', 'cilentphone', 
        'projectstartdate', 'status'
        // Add other fillable fields here...
    ];
    public function employee()
    {
        return $this->belongsTo(AddWorkesEmployee::class, 'userId', 'userId'); 
    }
}
