<!DOCTYPE html>
<html lang="en">

<!-- Mirrored from designreset.com/equation/html/semi-dark-menu/dashboard.html by HTTrack Website Copier/3.x [XR&CO'2014], Thu, 28 Sep 2023 04:54:49 GMT -->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title> Dashboard </title>

    <link href="../layouts/semi-dark-menu/css/light/loader.css" rel="stylesheet" type="text/css" />
    <link href="../layouts/semi-dark-menu/css/dark/loader.css" rel="stylesheet" type="text/css" />
    <script src="../layouts/semi-dark-menu/loader.js"></script>

    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:400,600,700" rel="stylesheet">
    <link href="../src/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="../layouts/semi-dark-menu/css/light/plugins.css" rel="stylesheet" type="text/css" />
    <link href="../layouts/semi-dark-menu/css/dark/plugins.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.8.2/css/all.min.css"
        integrity="sha512-rqQltXRuHxtPWhktpAZxLHUVJ3Eombn3hvk9PHjV/N5DMUYnzKPC1i3ub0mEXgFzsaZNeJcoE0YHq0j/GFsdGg=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- END GLOBAL MANDATORY STYLES -->

    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM STYLES -->
    <link href="../src/plugins/src/apex/apexcharts.css" rel="stylesheet" type="text/css">
    <link href="../src/assets/css/light/dashboard/dash_3.css" rel="stylesheet" type="text/css" />
    <!-- <link href="../src/assets/css/light/widgets/modules-widgets-vlm.css" rel="stylesheet" type="text/css" /> -->
    <link href="../src/assets/css/dark/dashboard/dash_3.css" rel="stylesheet" type="text/css" />
    <!-- <link href="../src/assets/css/dark/widgets/modules-widgets-vlm.css" rel="stylesheet" type="text/css" /> -->
    <!-- END PAGE LEVEL PLUGINS/CUSTOM STYLES -->


</head>

<body class="layout-boxed">
    <!-- BEGIN LOADER -->
    <div id="load_screen">
        <div class="loader">
            <div class="loader-content">
                <div class="spinner-grow align-self-center"></div>
            </div>
        </div>
    </div>
    <!--  END LOADER -->

    <!--  BEGIN NAVBAR  -->
    <div class="header-container container-xxl">
        <header class="header navbar navbar-expand-sm expand-header">

            <a href="javascript:void(0);" class="sidebarCollapse">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
                    stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                    class="feather feather-menu">
                    <line x1="3" y1="12" x2="21" y2="12"></line>
                    <line x1="3" y1="6" x2="21" y2="6"></line>
                    <line x1="3" y1="18" x2="21" y2="18"></line>
                </svg>
            </a>


            <ul class="navbar-item flex-row ms-lg-auto ms-0">

                <li class="nav-item dropdown language-dropdown">
                    <a href="javascript:void(0);" class="nav-link dropdown-toggle" id="language-dropdown"
                        data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <img src="https://designreset.com/equation/html/src/assets/img/1x1/us.svg" class="flag-width"
                            alt="flag">
                    </a>
                    <div class="dropdown-menu position-absolute" aria-labelledby="language-dropdown">
                        <a class="dropdown-item d-flex" href="javascript:void(0);"><img
                                src="https://designreset.com/equation/html/src/assets/img/1x1/us.svg" class="flag-width"
                                alt="flag"> <span class="align-self-center">&nbsp;English</span></a>
                        <a class="dropdown-item d-flex" href="javascript:void(0);"><img
                                src="https://designreset.com/equation/html/src/assets/img/1x1/tr.svg" class="flag-width"
                                alt="flag"> <span class="align-self-center">&nbsp;Turkish</span></a>
                        <a class="dropdown-item d-flex" href="javascript:void(0);"><img
                                src="https://designreset.com/equation/html/src/assets/img/1x1/br.svg" class="flag-width"
                                alt="flag"> <span class="align-self-center">&nbsp;Portuguese</span></a>
                        <a class="dropdown-item d-flex" href="javascript:void(0);"><img
                                src="https://designreset.com/equation/html/src/assets/img/1x1/in.svg" class="flag-width"
                                alt="flag"> <span class="align-self-center">&nbsp;Hindi</span></a>
                        <a class="dropdown-item d-flex" href="javascript:void(0);"><img
                                src="https://designreset.com/equation/html/src/assets/img/1x1/de.svg" class="flag-width"
                                alt="flag"> <span class="align-self-center">&nbsp;German</span></a>
                    </div>
                </li>

                <li class="nav-item theme-toggle-item">
                    <a href="javascript:void(0);" class="nav-link theme-toggle">

                    </a>
                </li>


                <li class="nav-item dropdown user-profile-dropdown  order-lg-0 order-1">
                    <a href="javascript:void(0);" class="nav-link dropdown-toggle user" id="userProfileDropdown"
                        data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <div class="avatar-container">
                            <div class="avatar avatar-sm avatar-indicators avatar-online">
                                <img alt="avatar" src="../src/assets/img/profile-21.jpg" class="rounded-circle">
                            </div>
                        </div>
                    </a>

                    <div class="dropdown-menu position-absolute" aria-labelledby="userProfileDropdown">
                        <div class="user-profile-section">
                            <div class="media mx-auto">
                                <div class="emoji me-2">
                                    &#x1F44B;
                                </div>
                                <div class="media-body">
                                    <h5>Shaun Park</h5>
                                    <p>Project Leader</p>
                                </div>
                            </div>
                        </div>
                        <div class="dropdown-item">
                            <a href="user-profile.html">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round" class="feather feather-user">
                                    <path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
                                    <circle cx="12" cy="7" r="4"></circle>
                                </svg> <span>Profile</span>
                            </a>
                        </div>
                        <div class="dropdown-item">
                            <a href="app-mailbox.html">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round" class="feather feather-inbox">
                                    <polyline points="22 12 16 12 14 15 10 15 8 12 2 12"></polyline>
                                    <path
                                        d="M5.45 5.11L2 12v6a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2v-6l-3.45-6.89A2 2 0 0 0 16.76 4H7.24a2 2 0 0 0-1.79 1.11z">
                                    </path>
                                </svg> <span>Inbox</span>
                            </a>
                        </div>
                        <div class="dropdown-item">
                            <a href="auth-boxed-lockscreen.html">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round" class="feather feather-lock">
                                    <rect x="3" y="11" width="18" height="11" rx="2" ry="2"></rect>
                                    <path d="M7 11V7a5 5 0 0 1 10 0v4"></path>
                                </svg> <span>Lock Screen</span>
                            </a>
                        </div>
                        <div class="dropdown-item">
                            <a href="auth-boxed-signin.html">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round" class="feather feather-log-out">
                                    <path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
                                    <polyline points="16 17 21 12 16 7"></polyline>
                                    <line x1="21" y1="12" x2="9" y2="12"></line>
                                </svg> <span>Log Out</span>
                            </a>
                        </div>
                    </div>

                </li>
            </ul>
        </header>
    </div>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <div class="sidebar-wrapper sidebar-theme">

            <nav id="sidebar">

                <div class="navbar-nav theme-brand flex-row  text-center">
                    <div class="nav-logo">
                        <div class="nav-item theme-logo">
                            <a href="dashboard.html">
                                <img src="/html/src/assets/img/logo.png" class="navbar-logo" alt="">
                            </a>
                        </div>
                        <div class="nav-item theme-text">
                            <a href="./dashboard.html" class="nav-link"> TechGropse </a>
                        </div>
                    </div>
                    <div class="nav-item sidebar-toggle">
                        <div class="btn-toggle sidebarCollapse">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                stroke-linejoin="round" class="feather feather-chevrons-left">
                                <polyline points="11 17 6 12 11 7"></polyline>
                                <polyline points="18 17 13 12 18 7"></polyline>
                            </svg>
                        </div>
                    </div>
                </div>

               
                <ul class="list-unstyled menu-categories" id="accordionExample">
                    <li class="menu active">
                        <a href="dashboard.html" aria-expanded="false" class="dropdown-toggle">
                            <div class="">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-home"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                                <span>Dashboard</span>
                            </div>
                        </a>
                    </li>
                    <li class="menu ">
                        <a href="manage-project.html" aria-expanded="false" class="dropdown-toggle">
                            <div class="">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round" class="feather feather-calendar">
                                    <rect x="3" y="4" width="18" height="18" rx="2" ry="2"></rect>
                                    <line x1="16" y1="2" x2="16" y2="6"></line>
                                    <line x1="8" y1="2" x2="8" y2="6"></line>
                                    <line x1="3" y1="10" x2="21" y2="10"></line>
                                </svg>
                                <span>Manage Project</span>
                            </div>
                        </a>
                    </li>
                    

                </ul>
            </nav>

        </div>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">

                <div class="middle-content container-xxl p-0">

                    <div class="row layout-top-spacing">

                        <div class="row">
                            <div class="col">
                                <div class="widget-heading">
                                    <h5 class="">Invoices</h5>
                                </div>
                            </div>
                        </div>





                        <div class="col-lg-12 col-md-12 col-sm-12 col-12 layout-spacing">
                            <div class="widget widget-table-two p-4">

                                <div class="row d-flex align-item-center">
                                    <div class="col-sm-6">
                                        <a href="add-invoice.html">
                                            <button type="submit"
                                                class="btn btn-success _effect--ripple waves-effect waves-light common_btn2">
                                                <i class="fa fa-plus p-1"></i>Add Invoice
                                            </button>
                                        </a>
                                    </div>
                                    <div
                                        class=" col-sm-6 d-flex justify-content-sm-end justify-content-center mt-sm-0 mt-3">
                                        <div id="style-3_filter" class="dataTables_filter"><label><svg
                                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                    viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                    class="feather feather-search">
                                                    <circle cx="11" cy="11" r="8"></circle>
                                                    <line x1="21" y1="21" x2="16.65" y2="16.65"></line>
                                                </svg><input type="search" class="form-control" placeholder="Search..."
                                                    aria-controls="style-3"></label></div>
                                    </div>


                                </div>
                                <div class="widget-content">
                                    <div class="table-responsive">
                                        <table class="table Common_table text-center">
                                            <thead>
                                                <tr>
                                                    <th>
                                                        <div class="th-content">ID</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Date</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Company Name</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content th-heading">Client Name</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Total Amount</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Paid Date</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Created By</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Status</div>
                                                    </th>
                                                    <th>
                                                        <div class="th-content">Action</div>
                                                    </th>

                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td><span>1</span></td>
                                                    <td>
                                                        <div class="td-content ">19-06-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div
                                                            class="td-content product-brand text-secondary text-center">
                                                            V Live
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content  text-center">Kane Gordon
                                                        </div>
                                                    </td>

                                                    <td>
                                                        <div class="td-content text-center ">$3200
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content text-center ">24-04-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content text-center  ">Aman Mishra
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content text-center"><span
                                                                class="badge badge-success">Paid</span></div>
                                                    </td>
                                                    <td>
                                                        <a href=""></a><i class="fa fa-search p-1 text-primary"></i><i
                                                            class="fas fa-edit p-1 text-primary"></i><i
                                                            class="fas fa-trash-alt p-1 text-primary "></i>
                                                    </td>

                                                </tr>

                                                <tr>
                                                    <td><span>2</span></td>
                                                    <td>
                                                        <div class="td-content">03-10-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content product-brand text-danger">Ceremony</div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">Alan Dike
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">$4500
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content fs-2 ">...
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content">Aman Mishra
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content"><span
                                                                class="badge badge-danger">Pending</span></div>
                                                    </td>
                                                    <td>
                                                        <a href=""></a><i class="fa fa-search p-1 text-primary"></i><i
                                                            class="fas fa-edit p-1 text-primary"></i><i
                                                            class="fas fa-trash-alt p-1 text-primary "></i>
                                                    </td>

                                                </tr>

                                                <tr>
                                                    <td><span>3</span></td>
                                                    <td>
                                                        <div class="td-content">24-09-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content product-brand text-success">Fitness World
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">Tom Smith
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">$3410
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content fs-2 ">...
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content  ">Aman Mishra
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content"><span
                                                                class="badge badge-success">Paid</span></div>
                                                    </td>
                                                    <td>
                                                        <a href=""></a><i class="fa fa-search p-1 text-primary"></i><i
                                                            class="fas fa-edit p-1 text-primary"></i><i
                                                            class="fas fa-trash-alt p-1 text-primary "></i>
                                                    </td>

                                                </tr>
                                                <tr>
                                                    <td><span>4</span></td>
                                                    <td>
                                                        <div class="td-content">04-02-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content product-brand text-primary">Cleanish
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">Smith Richardson
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">$9708
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content  ">09-05-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content  ">Aman Mishra
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content"><span
                                                                class="badge badge-danger">Pending</span></div>
                                                    </td>
                                                    <td>
                                                        <a href=""></a><i class="fa fa-search p-1 text-primary"></i><i
                                                            class="fas fa-edit p-1 text-primary"></i><i
                                                            class="fas fa-trash-alt p-1 text-primary "></i>
                                                    </td>

                                                </tr>
                                                <tr>
                                                    <td><span>5</span></td>
                                                    <td>
                                                        <div class="td-content">24-09-2023
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content product-brand text-warning">Moju App
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">Tom Smith
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content ">$3410
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content fs-2 ">...
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content  ">Aman Mishra
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="td-content"><span
                                                                class="badge badge-success">Paid</span></div>
                                                    </td>
                                                    <td>
                                                        <a href=""></a><i class="fa fa-search p-1 text-primary"></i><i
                                                            class="fas fa-edit p-1 text-primary"></i><i
                                                            class="fas fa-trash-alt p-1 text-primary "></i>
                                                    </td>

                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="row">
                                        <div
                                            class="dt--bottom-section d-sm-flex justify-content-sm-between text-center">
                                            <div class="dt--pages-count  mb-sm-0 mb-3">
                                                <div class="dataTables_info" id="style-2_info" role="status"
                                                    aria-live="polite">Showing page 1 of 1</div>
                                            </div>
                                            <div class="dt--pagination">
                                                <div class="dataTables_paginate paging_simple_numbers"
                                                    id="style-2_paginate">
                                                    <ul class="pagination">
                                                        <li class="paginate_button page-item previous disabled"
                                                            id="style-2_previous"><a href="#" aria-controls="style-2"
                                                                data-dt-idx="0" tabindex="0" class="page-link"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-arrow-left">
                                                                    <line x1="19" y1="12" x2="5" y2="12"></line>
                                                                    <polyline points="12 19 5 12 12 5">
                                                                    </polyline>
                                                                </svg></a></li>
                                                        <li class="paginate_button page-item active"><a href="#"
                                                                aria-controls="style-2" data-dt-idx="1" tabindex="0"
                                                                class="page-link">1</a></li>
                                                        <li class="paginate_button page-item next disabled"
                                                            id="style-2_next"><a href="" aria-controls="style-2"
                                                                data-dt-idx="2" tabindex="0" class="page-link"><svg
                                                                    xmlns="http://www.w3.org/2000/svg" width="24"
                                                                    height="24" viewBox="0 0 24 24" fill="none"
                                                                    stroke="currentColor" stroke-width="2"
                                                                    stroke-linecap="round" stroke-linejoin="round"
                                                                    class="feather feather-arrow-right">
                                                                    <line x1="5" y1="12" x2="19" y2="12"></line>
                                                                    <polyline points="12 5 19 12 12 19">
                                                                    </polyline>
                                                                </svg></a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>










                    </div>
                    <!--  END CONTENT AREA  -->

                </div>
                <!-- END MAIN CONTAINER -->

                <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
                <script src="../src/bootstrap/js/bootstrap.bundle.min.js"></script>
                <script src="../src/plugins/src/perfect-scrollbar/perfect-scrollbar.min.js"></script>
                <script src="../src/plugins/src/mousetrap/mousetrap.min.js"></script>
                <script src="../src/plugins/src/waves/waves.min.js"></script>
                <script src="../layouts/semi-dark-menu/app.js"></script>
                <!-- END GLOBAL MANDATORY SCRIPTS -->

                <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->
                <script src="../src/plugins/src/apex/apexcharts.min.js"></script>
                <script src="../src/assets/js/dashboard/dash_1.js"></script>
                <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

</body>

<!-- Mirrored from designreset.com/equation/html/semi-dark-menu/dashboard.html by HTTrack Website Copier/3.x [XR&CO'2014], Thu, 28 Sep 2023 04:55:45 GMT -->

</html>