@extends('header')
@section('title', 'Manage Project')
@section('content')

<!-- page title area end -->

<div class="main-content-inner">
    <div class="row">
        <!-- data table start -->
        <div class="col-12 mt-5">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title float-left">Roles List</h4>
                    <p class="float-right mb-2">
                        {{-- @if (Auth::guard('admin')->user()->can('role.create')) --}}
                        <a class="btn btn-primary text-white" href="{{ route('addUsers') }}">Add Users
                            </a>
                        {{-- <a class="btn btn-success text-white" href="{{ route('add_projectManagerPage') }}">Add Project
                            Manager</a> --}}

                        {{-- @endif --}}
                    </p>
                    @if(session('status'))
    <div class="alert alert-success">
        {{ session('status') }}
    </div>
@endif

                    <div class="clearfix"></div>
                    <div class="data-tables">
                        {{-- @include('backend.layouts.partials.messages') --}}
                        <table id="dataTable" class="text-center">
                            <thead class="bg-light text-capitalize">
                                <tr>
                                    <th width="10%">S.N</th>
                                    <th width="30%">Name</th>
                                    <th width="30%">Email</th>
                                    <th width="30%">Permissions</th>
                                    <th width="30%">Action</th>
                                </tr>
                            </thead>

                            <tbody>



                                @php
                                $count = 1;
                                @endphp
                                @foreach ($allUsers as $user)
                                <tr role="row" class="odd">
                                    {{-- {{ $user }} --}}
                                    <td style="padding: 10px;">{{ $count++ }}</td>
                                    <td class="text-center" style="padding: 10px;">{{ $user['name'] }}</td>
                                  <td>  <span class="badge badge-info mr-12">{{ $user['email'] }}</span></td>
                                    <td class="text-center"><span class="badge bg-success">


                                        {{ $user['role_id'] }}

</span>
                                    </td>







                                    <td class="text-center">
                                      
                                        <a href="{{ route('users.edit', ['userId' => $user->id]) }}" class="btn btn-edit">
                                            <span class="mdi mdi-pencil"></span>
                                            <i class="fa fa-edit text-primary p-1"></i>
                                        </a>

                                        <a href="#" onclick="event.preventDefault(); document.getElementById('delete-form-{{ $user->id }}').submit();">
                                            <i class="fa fa-trash text-primary p-1"></i>
                                        </a>
                                        <form id="delete-form-{{ $user->id }}" action="{{ route('deleteUser', ['id' => $user->id]) }}" method="POST" style="display: none;">
                                            @csrf
                                            @method('DELETE')
                                        </form>
                                        
                                        </td>

                                </tr>
                                @endforeach


                                {{--
                            </tbody> --}}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        {!! $allUsers->withQueryString()->links('pagination::bootstrap-5') !!}
    </div>
</div>
@endsection