
<?php $__env->startSection('title', 'Add Project'); ?>

<?php $__env->startSection('content'); ?>
<div class="layout-px-spacing">
   


    <div class="middle-content container-xxl p-0">


        <div class="row layout-top-spacing">

            <div class="">
                <div class="row">
                    <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                        <h4>Add Project</h4>
                    </div>
                </div>
            </div>
<!-- Your Blade view file -->
<?php if(session('status')): ?>
    <div class="alert alert-info">
        <?php echo e(session('status')); ?>

    </div>
<?php endif; ?>



            <?php if($errors->any()): ?>
            <div class="alert alert-danger">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li><?php echo e($message); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endif; ?>

            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Project Detail</h4>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-area">


                        <form method="POST" action="<?php echo e(route('insertProject')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="row g-3">
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Company</label>
                                    <select id="inputState" class="form-select" name="projectcompany">
                                        <option value="<?php echo e($project['projectcompany']); ?>"><?php echo e($project['projectcompany']); ?></option>
                                        
                                    </select>
                                    <?php $__errorArgs = ['projectcompany'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                
                                
                                
                                


                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Name</label>
                                    <input type="text" name="projectname" class="form-control"
                                        placeholder="Project Name"
                                        value="<?php echo e(old('projectname', $project->projectname)); ?>">
                                    <?php $__errorArgs = ['projectname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>

                                </div>
                                
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Budget</label>
                                    <input type="number" name="projectbudget" class="form-control"
                                        placeholder="Project Budget"
                                        value="<?php echo e(old('projectbudget', $project->projectbudget)); ?>">
                                    <?php $__errorArgs = ['projectbudget'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Type</label>
                                    <select id="inputState" class="form-select" name="projecttype">
                                        <option value="">Select Project Type</option>
                                        <option value="Web" <?php echo e(($project && $project->projecttype == 'Web') ? 'selected'
                                            : ''); ?>>Web</option>
                                        <option value="Web&Andriod" <?php echo e(($project && $project->projecttype ==
                                            'Web&Andriod') ? 'selected' : ''); ?>>Web And Andriod</option>
                                        <option value="Web&Ios" <?php echo e(($project && $project->projecttype == 'Web&Ios') ?
                                            'selected' : ''); ?>>Web And Ios</option>
                                        <!-- Add other options here -->
                                    </select>
                                    <?php $__errorArgs = ['projecttype'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>


                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">Project Manager</label>
                                    <select id="inputState" class="form-select" name="projectmanager">
                                        <option value="">Select Manager</option>
                                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($user->id); ?>" <?php echo e($user->id === $projectManagerId ? 'selected' : ''); ?>>
                                                <?php echo e($user->name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['projectmanager'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                
                                <div class="col-md-6">
                                    <label for="inputState" class="form-label">CSM</label>
                                    <select id="inputState" class="form-select" name="csm">
                                        <option value="">Select CSM</option>
                                        <option value="Aman Mishra" <?php echo e(($project && $project->csm == 'Aman Mishra') ?
                                            'selected' : ''); ?>>Aman Mishra</option>
                                        <option value="Anup Kumar" <?php echo e(($project && $project->csm == 'Anup Kumar') ?
                                            'selected' : ''); ?>>Anup Kumar</option>
                                        <option value="Sumit Dhiman" <?php echo e(($project && $project->csm == 'Sumit Dhiman') ?
                                            'selected' : ''); ?>>Sumit Dhiman</option>
                                        <!-- Add other options here -->
                                    </select>
                                    <?php $__errorArgs = ['csm'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="form-group mb-4 mt-3 col-md-6">
                                    
                                    <label for="exampleFormControlTextarea1">Project Comments</label>
                                    <textarea class="form-control" name="comments" id="exampleFormControlTextarea1"
                                        rows="3"
                                        placeholder="n/a"><?php echo e(old('comments', $project->comments ?? '')); ?></textarea>
                                    
                                    <?php $__errorArgs = ['comments'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                <div class="col-md-6">
                                    <label for="inputZip" class="form-label">Tags</label>
                                    <input type="text" class="form-control" id="inputZip" name="tags" placeholder="Tags"
                                        value="<?php echo e(old('tags', $project->tags ?? '')); ?>">
                                    <?php $__errorArgs = ['tags'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>


                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Milestone</label>
                                    <textarea class="form-control" name="milestone" id="exampleFormControlTextarea1"
                                        rows="3"
                                        placeholder="Milestone"><?php echo e(old('milestone', $project->milestone ?? '')); ?></textarea>
                                    <?php $__errorArgs = ['milestone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="form-group mb-4 col-md-6">
                                    <label for="exampleFormControlTextarea1">Address</label>
                                    <textarea class="form-control" name="address" id="exampleFormControlTextarea1"
                                        rows="3"
                                        placeholder="n/a"><?php echo e(old('address', $project->address ?? '')); ?></textarea>
                                    <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> 
                                    <div class="alert alert-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="form-group mb-4 col-md-12">
                                   
                                </div>





                            </div>


                    </div>
                </div>
            </div>





        </div>
        <div class="row layout-top-spacing">







            <div id="flLoginForm" class="col-lg-12 layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-header">
                        <div class="row">
                            <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                <h4>Client Detail</h4>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="projectId" value="<?php echo e($project->id); ?>"

                    <div class="widget-content widget-content-area">
                        <div class="row g-3">
                            
                            
                            

                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Name</label>
                                <input type="text" class="form-control" name="cilentname" id="inputZip"
                                    placeholder="Client Name" value="<?php echo e(old('cilentname', $project->cilentname)); ?>">
                                <?php $__errorArgs = ['cilentname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>


                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Email</label>

                                <input type="email" class="form-control" name="cilentemail" id="inputZip"
                                    placeholder="Client Email" value="<?php echo e(old('cilentemail', $project->cilentemail)); ?>">
                                <?php $__errorArgs = ['cilentemail'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Company Name</label>

                                <input type="text" class="form-control" name="companyname" id="inputZip"
                                    placeholder="Company Name" value="<?php echo e(old('companyname', $project->companyname)); ?>">
                                <?php $__errorArgs = ['companyname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Client Phone</label>

                                <input type="number" class="form-control" name="cilentphone" id="inputZip"
                                    placeholder="Client Phone" value="<?php echo e(old('cilentphone', $project->cilentphone)); ?>">

                                <?php $__errorArgs = ['cilentphone'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputZip" class="form-label">Start Date</label>
                                
                                    <input type="date" class="form-control" name="projectstartdate" id="inputZip"
                                    placeholder="ProjectStartDate" value="<?php echo e(old('projectstartdate', $project->projectstartdate)); ?>">
                                    
                                <?php $__errorArgs = ['projectstartdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-6">
                                <label for="inputState" class="form-label">Project Status</label>
                                <select id="inputState" class="form-select" name="status">
                                    <option value="">Select Status</option>
                                    <option value="Active" <?php echo e($project->status === 'Active' ? 'selected' : ''); ?>>Active</option>
                                    <option value="To-do" <?php echo e($project->status === 'To-do' ? 'selected' : ''); ?>>To-do</option>
                                    <option value="Completed" <?php echo e($project->status === 'Completed' ? 'selected' : ''); ?>>Completed</option>
                                </select>
                                <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="alert alert-danger"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            
                            

                            <div class="col">
                                <button type="submit"
                                    class="btn btn-info btn-lg _effect--ripple waves-effect waves-light common_btn1">Submit
                                </button>
                                <button type="Cancle"
                                    class="btn btn-secondary btn-lg _effect--ripple waves-effect waves-light common_btn1 btn_one">Cancel
                                </button>
                            </div>
                        </div>
                        








                        </form>


                    </div>
                </div>





            </div>
            <!--  END CONTENT AREA  -->

        </div>
        <!-- END MAIN CONTAINER -->


        <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->

        <?php $__env->stopSection(); ?>
<?php echo $__env->make('header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel code\AdminTechGropse\resources\views/edit_manage_project.blade.php ENDPATH**/ ?>